General
cancel
Showing results for 
Search instead for 
Did you mean: 

Dataprotector upgrade broke client backups and reporting capability

SOLVED
Go to solution

Dataprotector upgrade broke client backups and reporting capability

A HP-UX 11.11 PA-RISC 2.0 workstation was running Dataprotector V A06.10 which matched the server version; everything worked just fine.  The server was upgraded to V A08.10 and pushed out the updated client app.  Now when the server issues a "telnet <hostname> 5555" we get:

 

/usr/lib/dld.sl: Unresolved symbol: dld_getenv (code)  from inet
Connection closed by foreign host.

 

And the backups fail immediately with the same error.

 

Have tried setting SHLIB_PATH but to no avail.  We have since re-installed the old client version of DP and it still fails.

2 REPLIES
Dennis Handly
Acclaimed Contributor

Re: Dataprotector upgrade broke client backups and reporting capability

>dld.sl: Unresolved symbol: dld_getenv (code)  from inet

 

It looks like you need a newer linker/loader patch.  Something happened to /usr/lib/libdld.*?

Solution

Re: Dataprotector upgrade broke client backups and reporting capability

I had also come to the conclusion that I would need to install a replacement linker/loader patch.  I was really hoping to avoid a patch update, but I took the plunge and updated the host against a master patch depot.  Over 650 patches and a kernel reboot later, I was pleasantly surprised that it actually came back up and now backups work sucessfully - problem solved!